import type { Metadata } from 'next'
import '../globals.css';
import Loading from './loading';
import { Suspense } from 'react';

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {

  return (
    <>
    <Suspense fallback={<Loading />}>
      {children}
    </Suspense>
    </>
  )
}
